## rtl-433 22.11

=== CMakeLists.txt ===
########################################################################
# Project setup
########################################################################
cmake_minimum_required(VERSION 2.6)
# Fix behavior of CMAKE_C_STANDARD when targeting macOS.
if(POLICY CMP0025)
    cmake_policy(SET CMP0025 NEW)
endif()
# Only interpret if() arguments as variables or keywords when unquoted.
if(POLICY CMP0054)
    cmake_policy(SET CMP0054 NEW)
endif()

project(rtl433 C)

#select the release build type by default to get optimization flags
if(NOT CMAKE_BUILD_TYPE)
   set(CMAKE_BUILD_TYPE "Release")
   message(STATUS "Build type not specified: defaulting to release.")
endif(NOT CMAKE_BUILD_TYPE)
set(CMAKE_BUILD_TYPE ${CMAKE_BUILD_TYPE} CACHE STRING "")

list(APPEND CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR}/cmake/Modules)

########################################################################
# Get version info from Git
########################################################################
include(GetGitRevisionDescription)
get_git_head_revision(GIT_REFSPEC GIT_COMMIT)
if(GIT_COMMIT) # is a git repo
    # shorten branch spec
    string(REGEX REPLACE ".*/" "" GIT_BRANCH "${GIT_REFSPEC}")
    # use lightweight (non-annotated) tags
    git_describe(GIT_VERSION "--tags")
    git_timestamp(GIT_TIMESTAMP)
    message(STATUS "Found Git version: ${GIT_REFSPEC} commit ${GIT_COMMIT} from ${GIT_TIMESTAMP_ISO}")
    message(STATUS "Using Git version tag: ${GIT_VERSION} on ${GIT_BRANCH} at ${GIT_TIMESTAMP}")
    ADD_DEFINITIONS(-DGIT_VERSION=${GIT_VERSION})
    ADD_DEFINITIONS(-DGIT_BRANCH=${GIT_BRANCH})
    ADD_DEFINITIONS(-DGIT_TIMESTAMP=${GIT_TIMESTAMP})
endif()

########################################################################
# Fallback to get release version info from Changelog
########################################################################
if(NOT GIT_COMMIT AND EXISTS "${CMAKE_CURRENT_SOURCE_DIR}/CHANGELOG.md")
    # parse the CHANGELOG.md, this is clever, i.e. might go wrong ;)
    file(STRINGS "${CMAKE_CURRENT_SOURCE_DIR}/CHANGELOG.md" CHANGELOG LIMIT_COUNT 42)
    # list(FILTER ...) needs CMake 3.6+
    foreach(item ${CHANGELOG})
        string(REGEX MATCH "^## Release (.+)" item ${item})
        if(CMAKE_MATCH_1)
            list(APPEND RELEASE_VERSIONS ${CMAKE_MATCH_1})
        endif()
    endforeach()
    if(RELEASE_VERSIONS)
        list(GET RELEASE_VERSIONS 0 RELEASE_VERSION)
        message(STATUS "Found Release version: ${RELEASE_VERSION}")
        ADD_DEFINITIONS(-DGIT_VERSION=${RELEASE_VERSION})
    endif()
endif()

########################################################################
# Compiler specific setup
########################################################################
set(CMAKE_C_EXTENSIONS OFF)
set(CMAKE_C_STANDARD 99)
if(("${CMAKE_C_COMPILER_ID}" STREQUAL "GNU" OR "${CMAKE_C_COMPILER_ID}" MATCHES "Clang") AND NOT WIN32)
    ADD_DEFINITIONS(-Wall)
    ADD_DEFINITIONS(-Wextra)
    ADD_DEFINITIONS(-Wvla)
    ADD_DEFINITIONS(-Wsign-compare)
    ADD_DEFINITIONS(-std=c99)
    ADD_DEFINITIONS(-pedantic)
    ADD_DEFINITIONS(-Wshadow)
    ADD_DEFINITIONS(-Wmissing-prototypes)
    if("${CMAKE_C_COMPILER_ID}" MATCHES "Clang" OR NOT "7.0.0" VERSION_GREATER CMAKE_C_COMPILER_VERSION)
        ADD_DEFINITIONS(-Wimplicit-fallthrough)
    endif()
    #ADD_DEFINITIONS(-Wfloat-equal)
    #ADD_DEFINITIONS(-Wbad-function-cast)
    #ADD_DEFINITIONS(-Wdocumentation)

    # for strdup, setenv, use either
    #ADD_DEFINITIONS(-D_POSIX_C_SOURCE=200809) # does not work with uClibc
    ADD_DEFINITIONS(-D_GNU_SOURCE)
    #http://gcc.gnu.org/wiki/Visibility
    add_definitions(-fvisibility=hidden)

    # CMake Release default for GCC/Clang is "-O3 -DNDEBUG"
    # set(CMAKE_C_FLAGS_RELEASE -O2)
    # CMake Debug default for GCC/Clang is "-g -DNDEBUG"
    # set(CMAKE_C_FLAGS_DEBUG -g3 -O0)
    # make use of ASAN
    set(CMAKE_C_FLAGS_DEBUG "-ggdb -fsanitize=undefined -fsanitize=address -fno-omit-frame-pointer")
endif()
if("${CMAKE_C_COMPILER_ID}" MATCHES "Clang")
    # make sure we don't accidentally copy more than an int
    ADD_DEFINITIONS(-Wlarge-by-value-copy=8)
endif()

# Shut MSVC up about strdup and strtok
if(MSVC)
    ADD_DEFINITIONS(-D_CRT_NONSTDC_NO_DEPRECATE)
    ADD_DEFINITIONS(-D_CRT_SECURE_NO_WARNINGS)
    ADD_DEFINITIONS(-DNOMINMAX)
    # don't warn on type truncation
    add_compile_options("/wd4244")
    add_compile_options("/wd4267")
    add_compile_options("/wd4305")
endif()

# Fix printf %zu
if(MINGW)
    add_definitions(-D__USE_MINGW_ANSI_STDIO)
endif()

# Make sure we get M_PI
if(WIN32)
    add_definitions(-D_USE_MATH_DEFINES)
endif()

########################################################################
# Option to force ANSI-colored build output (for Ninja)
########################################################################
option(FORCE_COLORED_BUILD "Always produce ANSI-colored build output (GNU/Clang only)." FALSE)
if(FORCE_COLORED_BUILD)
    if("${CMAKE_C_COMPILER_ID}" STREQUAL "GNU")
       add_compile_options(-fdiagnostics-color=always)
    elseif("${CMAKE_C_COMPILER_ID}" MATCHES "Clang")
       add_compile_options(-fcolor-diagnostics)
    endif()
endif()

########################################################################
# Enable IPv6 support
########################################################################
option(ENABLE_IPV6 "Enable IPv6 support" TRUE)
if(ENABLE_IPV6)
    message(STATUS "IPv6 support enabled.")
    ADD_DEFINITIONS(-DMG_ENABLE_IPV6=1)
    if(MINGW)
        # IPv6 requires at least Vista for inet_pton, inet_ntop
        add_definitions(-D_WIN32_WINNT=0x0600)
    endif()
else()
    message(STATUS "IPv6 support disabled.")
endif()

########################################################################
# Find Threads support build dependencies
########################################################################
set(ENABLE_THREADS AUTO CACHE STRING "Enable Threads support")
set_property(CACHE ENABLE_THREADS PROPERTY STRINGS AUTO ON OFF)
if(ENABLE_THREADS) # AUTO / ON

find_package(Threads)
if(Threads_FOUND)
    message(STATUS "Threads support will be compiled.")
    ADD_DEFINITIONS(-DTHREADS)
elseif(ENABLE_THREADS STREQUAL "AUTO")
    message(STATUS "Threads support not found, some features will be disabled.")
else()
    message(FATAL_ERROR "Threads support not found.")
endif()

else()
    message(STATUS "Threads support disabled.")
endif()

########################################################################
# Find OpenSSL build dependencies
########################################################################
set(ENABLE_OPENSSL AUTO CACHE STRING "Enable OpenSSL TLS support")
set_property(CACHE ENABLE_OPENSSL PROPERTY STRINGS AUTO ON OFF)
if(ENABLE_OPENSSL) # AUTO / ON

find_package(OpenSSL)
if(OPENSSL_FOUND)
    message(STATUS "OpenSSL TLS support will be compiled. Found version ${OPENSSL_VERSION}")
    include_directories(${OPENSSL_INCLUDE_DIR})
    list(APPEND SDR_LIBRARIES ${OPENSSL_LIBRARIES})
    ADD_DEFINITIONS(-DOPENSSL)
    ADD_DEFINITIONS(-DMG_ENABLE_SSL)
elseif(ENABLE_OPENSSL STREQUAL "AUTO")
    message(STATUS "OpenSSL development files not found, TLS won't be possible.")
else()
    message(FATAL_ERROR "OpenSSL development files not found.")
endif()

else()
    message(STATUS "OpenSSL TLS disabled.")
endif()

########################################################################
# Find LibRTLSDR build dependencies
########################################################################
set(ENABLE_RTLSDR ON CACHE STRING "Enable RTL-SDR (lbrtlsdr) driver support")
set_property(CACHE ENABLE_RTLSDR PROPERTY STRINGS AUTO ON OFF)
if(ENABLE_RTLSDR) # AUTO / ON

find_package(PkgConfig)
find_package(LibRTLSDR)
find_package(LibUSB)
if(LibRTLSDR_FOUND)
    message(STATUS "RTL-SDR device input will be compiled. Found version ${LibRTLSDR_VERSION}")
    include_directories(${LibRTLSDR_INCLUDE_DIRS})
    list(APPEND SDR_LIBRARIES ${LibRTLSDR_LIBRARIES})
    ADD_DEFINITIONS(-DRTLSDR)

if(LibUSB_FOUND)
    message(STATUS "libusb-1.0 error messages are available. Found version ${LibUSB_VERSION}")
    include_directories(${LibUSB_INCLUDE_DIRS})
    list(APPEND SDR_LIBRARIES ${LibUSB_LIBRARIES})
    ADD_DEFINITIONS(-DLIBUSB1)
else()
    message(STATUS "libusb-1.0 error messages are not available.")
endif()

elseif(ENABLE_RTLSDR STREQUAL "AUTO")
    message(STATUS "RTL-SDR development files not found, RTL-SDR device input won't be possible.")
else()
    message(FATAL_ERROR "RTL-SDR development files not found.")
endif()

else()
    message(STATUS "RTL-SDR device input disabled.")
endif()

########################################################################
# Find SoapySDR build dependencies
########################################################################
set(ENABLE_SOAPYSDR AUTO CACHE STRING "Enable SoapySDR driver support")
set_property(CACHE ENABLE_SOAPYSDR PROPERTY STRINGS AUTO ON OFF)
if(ENABLE_SOAPYSDR) # AUTO / ON

find_package(SoapySDR "0.6" NO_MODULE)
if(SoapySDR_FOUND)
    message(STATUS "SoapySDR device input will be compiled. Found version ${SoapySDR_VERSION}")
    include_directories(${SoapySDR_INCLUDE_DIRS})
    list(APPEND SDR_LIBRARIES ${SoapySDR_LIBRARIES})
    ADD_DEFINITIONS(-DSOAPYSDR)
elseif(ENABLE_SOAPYSDR STREQUAL "AUTO")
    message(STATUS "SoapySDR development files not found, SoapySDR device input won't be possible.")
else()
    message(FATAL_ERROR "SoapySDR development files not found.")
endif()

else()
    message(STATUS "SoapySDR device input disabled.")
endif()

########################################################################
# Setup optional Profiling with GPerfTools
########################################################################
# cmake -DCMAKE_BUILD_TYPE=Profile ..
# CPUPROFILE=prof.out ./src/rtl_433 ...
# pprof -text ./src/rtl_433 prof.out
if("${CMAKE_BUILD_TYPE}" STREQUAL "Profile")
    message(STATUS "Build type set to Profile. Linking GPerfTools.")
    find_package(Gperftools REQUIRED)
    include_directories(${GPERFTOOLS_INCLUDE_DIR})
    list(APPEND SDR_LIBRARIES ${GPERFTOOLS_LIBRARIES} -Wl,-no_pie)
    ADD_DEFINITIONS(-g)
    ADD_DEFINITIONS(-fno-builtin-malloc)
    ADD_DEFINITIONS(-fno-builtin-calloc)
    ADD_DEFINITIONS(-fno-builtin-realloc)
    ADD_DEFINITIONS(-fno-builtin-free)
endif()

########################################################################
# Setup the include and linker paths
########################################################################
if(MINGW OR MSVC)
list(APPEND NET_LIBRARIES ws2_32 mswsock)
endif()

include_directories(
    BEFORE
    ${PROJECT_SOURCE_DIR}/include
)

########################################################################
# Create uninstall target
########################################################################
configure_file(
    ${PROJECT_SOURCE_DIR}/cmake/cmake_uninstall.cmake.in
    ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake
@ONLY)

add_custom_target(uninstall
    ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake
)

########################################################################
# Build documentation with Doxygen
########################################################################
option(BUILD_DOCUMENTATION "Create and install the HTML based API
documentation (requires Doxygen)" OFF)

find_package(Doxygen)
if(BUILD_DOCUMENTATION)
    if(NOT DOXYGEN_FOUND)
        message(FATAL_ERROR "Doxygen is needed to build the documentation.")
    endif()

    set(DOXYGEN_IN ${CMAKE_CURRENT_SOURCE_DIR}/Doxyfile.in)
    set(DOXYGEN_OUT ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile)
    if(DOXYGEN_DOT_FOUND)
        set(HAVE_DOT "YES")
    else()
        set(HAVE_DOT "NO")
    endif()

    configure_file(${DOXYGEN_IN} ${DOXYGEN_OUT} @ONLY)
    message(STATUS "Doxygen build started")

    # note the option ALL which allows to build the docs together with the application
    add_custom_target(doc_doxygen ALL

=== conf/CMakeLists.txt ===
########################################################################
# Install example configuration files
########################################################################
file(GLOB RTL433_CONF_FILES "*.conf")

install(FILES
    ${RTL433_CONF_FILES}
    DESTINATION etc/rtl_433
)

=== src/CMakeLists.txt ===
########################################################################
# Build libraries and executables
########################################################################
# commodity libraries
# consider -fvisibility=hidden
# Proper object library type was only introduced with CMake 2.8.8
add_library(r_433 STATIC
    abuf.c
    am_analyze.c
    baseband.c
    bitbuffer.c
    compat_alarm.c
    compat_paths.c
    compat_time.c
    confparse.c
    data.c
    data_tag.c
    decoder_util.c
    fileformat.c
    http_server.c
    jsmn.c
    list.c
    mongoose.c
    optparse.c
    output_file.c
    output_influx.c
    output_mqtt.c
    output_rtltcp.c
    output_trigger.c
    output_udp.c
    pulse_analyzer.c
    pulse_data.c
    pulse_detect.c
    pulse_detect_fsk.c
    pulse_slicer.c
    r_api.c
    r_util.c
    raw_output.c
    rfraw.c
    samp_grab.c
    sdr.c
    term_ctl.c
    util.c
    write_sigrok.c
    devices/abmt.c
    devices/acurite.c
    devices/acurite_01185m.c
    devices/akhan_100F14.c
    devices/alecto.c
    devices/altronics_x7064.c
    devices/ambient_weather.c
    devices/ambientweather_tx8300.c
    devices/ambientweather_wh31e.c
    devices/ant_antplus.c
    devices/archos_tbh.c
    devices/atech_ws308.c
    devices/auriol_4ld5661.c
    devices/auriol_aft77b2.c
    devices/auriol_afw2a1.c
    devices/auriol_ahfl.c
    devices/auriol_hg02832.c
    devices/badger_water.c
    devices/blueline.c
    devices/blyss.c
    devices/brennenstuhl_rcs_2044.c
    devices/bresser_3ch.c
    devices/bresser_5in1.c
    devices/bresser_6in1.c
    devices/bresser_7in1.c
    devices/bt_rain.c
    devices/burnhardbbq.c
    devices/calibeur.c
    devices/cardin.c
    devices/cavius.c
    devices/chuango.c
    devices/cmr113.c
    devices/companion_wtr001.c
    devices/cotech_36_7959.c
    devices/current_cost.c
    devices/danfoss.c
    devices/digitech_xc0324.c
    devices/directv.c
    devices/dish_remote_6_3.c
    devices/dsc.c
    devices/ecodhome.c
    devices/ecowitt.c
    devices/efergy_e2_classic.c
    devices/efergy_optical.c
    devices/efth800.c
    devices/elro_db286a.c
    devices/elv.c
    devices/emontx.c
    devices/emos_e6016.c
    devices/emos_e6016_rain.c
    devices/enocean_erp1.c
    devices/ert_idm.c
    devices/ert_scm.c
    devices/esa.c
    devices/esic_emt7110.c
    devices/esperanza_ews.c
    devices/eurochron.c
    devices/fineoffset.c
    devices/fineoffset_wh1050.c
    devices/fineoffset_wh1080.c
    devices/fineoffset_wh31l.c
    devices/fineoffset_wh45.c
    devices/fineoffset_wn34.c
    devices/fineoffset_ws80.c
    devices/flex.c
    devices/fordremote.c
    devices/fs20.c
    devices/ft004b.c
    devices/funkbus.c
    devices/ge_coloreffects.c
    devices/generic_motion.c
    devices/generic_remote.c
    devices/generic_temperature_sensor.c
    devices/govee.c
    devices/gt_tmbbq05.c
    devices/gt_wt_02.c
    devices/gt_wt_03.c
    devices/hcs200.c
    devices/hideki.c
    devices/holman_ws5029.c
    devices/hondaremote.c
    devices/honeywell.c
    devices/honeywell_cm921.c
    devices/honeywell_wdb.c
    devices/ht680.c
    devices/ibis_beacon.c
    devices/ikea_sparsnas.c
    devices/infactory.c
    devices/inkbird_ith20r.c
    devices/inovalley-kw9015b.c
    devices/insteon.c
    devices/interlogix.c
    devices/intertechno.c
    devices/jasco.c
    devices/kedsum.c
    devices/kerui.c
    devices/klimalogg.c
    devices/lacrosse.c
    devices/lacrosse_breezepro.c
    devices/lacrosse_r1.c
    devices/lacrosse_th3.c
    devices/lacrosse_tx141x.c
    devices/lacrosse_tx34.c
    devices/lacrosse_tx35.c
    devices/lacrosse_wr1.c
    devices/lacrosse_ws7000.c
    devices/lacrossews.c
    devices/lightwave_rf.c
    devices/m_bus.c
    devices/markisol.c
    devices/marlec_solar.c
    devices/maverick_et73.c
    devices/maverick_et73x.c
    devices/maverick_xr30.c
    devices/mebus.c
    devices/megacode.c
    devices/missil_ml0757.c
    devices/new_template.c
    devices/newkaku.c
    devices/nexa.c
    devices/nexus.c
    devices/nice_flor_s.c
    devices/norgo.c
    devices/oil_standard.c
    devices/oil_watchman.c
    devices/opus_xt300.c
    devices/oregon_scientific.c
    devices/oregon_scientific_sl109h.c
    devices/oregon_scientific_v1.c
    devices/philips_aj3650.c
    devices/philips_aj7010.c
    devices/proflame2.c
    devices/prologue.c
    devices/proove.c
    devices/quhwa.c
    devices/radiohead_ask.c
    devices/rainpoint.c
    devices/regency_fan.c
    devices/rftech.c
    devices/rojaflex.c
    devices/rubicson.c
    devices/rubicson_48659.c
    devices/rubicson_pool_48942.c
    devices/s3318p.c
    devices/schraeder.c
    devices/scmplus.c
    devices/secplus_v1.c
    devices/secplus_v2.c
    devices/sharp_spc775.c
    devices/silvercrest.c
    devices/simplisafe.c
    devices/simplisafe_gen3.c
    devices/smoke_gs558.c
    devices/solight_te44.c
    devices/somfy_iohc.c
    devices/somfy_rts.c
    devices/springfield.c
    devices/steelmate.c
    devices/telldus_ft0385r.c
    devices/tfa_30_3196.c
    devices/tfa_30_3221.c
    devices/tfa_drop_30.3233.c
    devices/tfa_marbella.c
    devices/tfa_pool_thermometer.c
    devices/tfa_twin_plus_30.3049.c
    devices/thermopro_tp11.c
    devices/thermopro_tp12.c
    devices/thermopro_tx2.c
    devices/tpms_abarth124.c
    devices/tpms_ave.c
    devices/tpms_citroen.c
    devices/tpms_elantra2012.c
    devices/tpms_ford.c
    devices/tpms_hyundai_vdo.c
    devices/tpms_jansite.c
    devices/tpms_jansite_solar.c
    devices/tpms_pmv107j.c
    devices/tpms_porsche.c
    devices/tpms_renault.c
    devices/tpms_renault_0435r.c
    devices/tpms_toyota.c
    devices/tpms_truck.c
    devices/ts_ft002.c
    devices/ttx201.c
    devices/vaillant_vrt340f.c
    devices/visonic_powercode.c
    devices/waveman.c
    devices/wg_pb12v1.c
    devices/ws2032.c
    devices/wssensor.c
    devices/wt0124.c
    devices/wt450.c
    devices/x10_rf.c
    devices/x10_sec.c
    devices/yale_hsa.c
)

if("${CMAKE_C_COMPILER_ID}" STREQUAL "GNU" OR "${CMAKE_C_COMPILER_ID}" MATCHES "Clang")
    # untouched upstream code, disable all warnings
    set_source_files_properties(mongoose.c PROPERTIES COMPILE_FLAGS "-w")
endif()

add_executable(rtl_433 rtl_433.c)
target_link_libraries(rtl_433 r_433)

# target_compile_definitions was only added with CMake 2.8.11
if(THREADS_HAVE_PTHREAD_ARG)
    set_target_properties(r_433 PROPERTIES COMPILE_OPTIONS "-pthread")
    set_target_properties(r_433 PROPERTIES INTERFACE_COMPILE_OPTIONS "-pthread")
endif()
if(CMAKE_THREAD_LIBS_INIT)
    target_link_libraries(rtl_433 "${CMAKE_THREAD_LIBS_INIT}")
endif()

if(MSVC)
    # needs CMake 3.1 but Windows builds should have that
    target_sources(rtl_433 PRIVATE getopt/getopt.c)
endif()

add_library(data data.c abuf.c)
target_link_libraries(data ${NET_LIBRARIES})

target_link_libraries(rtl_433
    ${SDR_LIBRARIES}
    ${NET_LIBRARIES}
)

set(INSTALL_TARGETS rtl_433)
if(UNIX)
target_link_libraries(rtl_433 m)
endif()

# Explicitly say that we want C99
set_target_properties(rtl_433 r_433 PROPERTIES C_STANDARD 99)

########################################################################
# Install built library files & utilities
########################################################################
install(TARGETS ${INSTALL_TARGETS}
    RUNTIME DESTINATION bin              # .dll file
)

=== tests/CMakeLists.txt ===
########################################################################
# Compile test cases
########################################################################
add_executable(data-test data-test.c ../src/output_file.c ../src/term_ctl.c)

target_link_libraries(data-test data)

add_test(data-test data-test)

add_executable(baseband-test baseband-test.c ../src/baseband.c)

if(UNIX)
target_link_libraries(baseband-test m)
endif()

#add_test(baseband-test baseband-test)

########################################################################
# Define and build all unit tests
########################################################################
# target_compile_definitions was only added in CMake 2.8.11
add_definitions(-D_TEST)
foreach(testSrc bitbuffer.c fileformat.c optparse.c util.c)
    get_filename_component(testName ${testSrc} NAME_WE)

    add_executable(test_${testName} ../src/${testSrc})

    add_test(${testName}_test test_${testName})
endforeach(testSrc)

########################################################################
# Define integration tests
########################################################################
add_test(rtl_433_help ../src/rtl_433 -h)

########################################################################
# Define style checks
########################################################################
add_executable(style-check style-check.c)
file(GLOB STYLE_CHECK_FILES  ../include/*.h ../src/*.c ../src/devices/*.c ../CMakeLists.txt ../*/CMakeLists.txt)
list(REMOVE_ITEM STYLE_CHECK_FILES
    "${CMAKE_CURRENT_SOURCE_DIR}/../include/jsmn.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/../src/jsmn.c"
    "${CMAKE_CURRENT_SOURCE_DIR}/../include/mongoose.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/../src/mongoose.c")
add_test(style-check style-check ${STYLE_CHECK_FILES})

########################################################################
# Define clang static analyzer checks
########################################################################
if(BUILD_TESTING_ANALYZER)
file(GLOB ANALYZER_CHECK_FILES  ../include/*.h ../src/*.c ../src/devices/*.c)
list(REMOVE_ITEM ANALYZER_CHECK_FILES
    "${CMAKE_CURRENT_SOURCE_DIR}/../include/jsmn.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/../src/jsmn.c"
    "${CMAKE_CURRENT_SOURCE_DIR}/../include/mongoose.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/../src/mongoose.c")
add_test(clang-analyzer
    ${CMAKE_CURRENT_SOURCE_DIR}/exitcode-for-output.sh
    clang
    -I${CMAKE_CURRENT_SOURCE_DIR}/../include
    --analyze
    -Xanalyzer
    -analyzer-output=text
    -Xanalyzer
    -analyzer-disable-checker=deadcode.DeadStores
    ${ANALYZER_CHECK_FILES})
endif()

=== debian/changelog ===
rtl-433 (22.11-1) unstable; urgency=medium

  * New upstream version.
  * Bump standards version to 4.6.1.
  * d/control: wrap and sort Build-Depends.

 -- Gürkan Myczko <tar@debian.org>  Mon, 21 Nov 2022 08:24:53 +0100

=== debian/control ===
Source: rtl-433
Section: hamradio
Priority: optional
Maintainer: Gürkan Myczko <tar@debian.org>
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 doxygen,
 librtlsdr-dev,
 libsoapysdr-dev,
 pkg-config,
Standards-Version: 4.6.1
Vcs-Git: https://salsa.debian.org/debian-hamradio-team/rtl-433.git
Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/rtl-433
Homepage: https://github.com/merbanan/rtl_433

Package: rtl-433
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Decode 433.9 Mhz data
 This is a program to decode traffic from devices that are broadcasting on
 433.9 MHz like temperature sensors.

## rtl-433 23.11

=== CMakeLists.txt ===
--- 
+++ 
@@ -31,7 +31,7 @@
     # shorten branch spec
     string(REGEX REPLACE ".*/" "" GIT_BRANCH "${GIT_REFSPEC}")
     # use lightweight (non-annotated) tags
-    git_describe(GIT_VERSION "--tags")
+    git_describe(GIT_VERSION "--tags" "--exclude=nightly")
     git_timestamp(GIT_TIMESTAMP)
     message(STATUS "Found Git version: ${GIT_REFSPEC} commit ${GIT_COMMIT} from ${GIT_TIMESTAMP_ISO}")
     message(STATUS "Using Git version tag: ${GIT_VERSION} on ${GIT_BRANCH} at ${GIT_TIMESTAMP}")
@@ -80,6 +80,7 @@
     #ADD_DEFINITIONS(-Wfloat-equal)
     #ADD_DEFINITIONS(-Wbad-function-cast)
     #ADD_DEFINITIONS(-Wdocumentation)
+    add_definitions(-Wno-deprecated-declarations)
 
     # for strdup, setenv, use either
     #ADD_DEFINITIONS(-D_POSIX_C_SOURCE=200809) # does not work with uClibc
@@ -97,6 +98,12 @@
 if("${CMAKE_C_COMPILER_ID}" MATCHES "Clang")
     # make sure we don't accidentally copy more than an int
     ADD_DEFINITIONS(-Wlarge-by-value-copy=8)
+endif()
+
+# Enable Static analysis on GCC13.2.0+
+if("${CMAKE_C_COMPILER_ID}" STREQUAL "GNU" AND CMAKE_C_COMPILER_VERSION VERSION_GREATER_EQUAL "13.2.0")
+    message(STATUS "Using GCC Static analysis")
+    add_definitions(-fanalyzer)
 endif()
 
 # Shut MSVC up about strdup and strtok
@@ -120,6 +127,17 @@
     add_definitions(-D_USE_MATH_DEFINES)
 endif()
 
+# On Unix pass the SYSCONFDIR through to conf file loader
+if(NOT WIN32)
+    include(GNUInstallDirs)
+    add_definitions(-DINSTALL_SYSCONFDIR=${CMAKE_INSTALL_FULL_SYSCONFDIR})
+endif()
+
+########################################################################
+# Use pkg-config
+########################################################################
+find_package(PkgConfig)
+
 ########################################################################
 # Option to force ANSI-colored build output (for Ninja)
 ########################################################################
@@ -176,6 +194,12 @@
 if(ENABLE_OPENSSL) # AUTO / ON
 
 find_package(OpenSSL)
+# Get actual libs from pkg-config to support edge cases (static on Sparc)
+# This will break Win32 builds, exclude that platform
+pkg_check_modules(PC_OPENSSL QUIET openssl)
+if(PC_OPENSSL_FOUND AND NOT WIN32)
+    set(OPENSSL_LIBRARIES ${PC_OPENSSL_LINK_LIBRARIES})
+endif()
 if(OPENSSL_FOUND)
     message(STATUS "OpenSSL TLS support will be compiled. Found version ${OPENSSL_VERSION}")
     include_directories(${OPENSSL_INCLUDE_DIR})
@@ -199,7 +223,6 @@
 set_property(CACHE ENABLE_RTLSDR PROPERTY STRINGS AUTO ON OFF)
 if(ENABLE_RTLSDR) # AUTO / ON
 
-find_package(PkgConfig)
 find_package(LibRTLSDR)
 find_package(LibUSB)
 if(LibRTLSDR_FOUND)
@@ -272,7 +295,7 @@
 # Setup the include and linker paths
 ########################################################################
 if(MINGW OR MSVC)
-list(APPEND NET_LIBRARIES ws2_32 mswsock)
+list(APPEND NET_LIBRARIES ws2_32 mswsock netapi32)
 endif()
 
 include_directories(
@@ -292,28 +315,3 @@
     ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake
 )
 
-########################################################################
-# Build documentation with Doxygen
-########################################################################
-option(BUILD_DOCUMENTATION "Create and install the HTML based API
-documentation (requires Doxygen)" OFF)
-
-find_package(Doxygen)
-if(BUILD_DOCUMENTATION)
-    if(NOT DOXYGEN_FOUND)
-        message(FATAL_ERROR "Doxygen is needed to build the documentation.")
-    endif()
-
-    set(DOXYGEN_IN ${CMAKE_CURRENT_SOURCE_DIR}/Doxyfile.in)
-    set(DOXYGEN_OUT ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile)
-    if(DOXYGEN_DOT_FOUND)
-        set(HAVE_DOT "YES")
-    else()
-        set(HAVE_DOT "NO")
-    endif()
-
-    configure_file(${DOXYGEN_IN} ${DOXYGEN_OUT} @ONLY)
-    message(STATUS "Doxygen build started")
-
-    # note the option ALL which allows to build the docs together with the application
-    add_custom_target(doc_doxygen ALL

=== include/CMakeLists.txt ===
########################################################################
# Install public header files
########################################################################
install(FILES
    rtl_433.h
    rtl_433_devices.h
    DESTINATION include
)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -9,7 +9,6 @@
     am_analyze.c
     baseband.c
     bitbuffer.c
-    compat_alarm.c
     compat_paths.c
     compat_time.c
     confparse.c
@@ -20,10 +19,12 @@
     http_server.c
     jsmn.c
     list.c
+    logger.c
     mongoose.c
     optparse.c
     output_file.c
     output_influx.c
+    output_log.c
     output_mqtt.c
     output_rtltcp.c
     output_trigger.c
@@ -47,7 +48,6 @@
     devices/acurite_01185m.c
     devices/akhan_100F14.c
     devices/alecto.c
-    devices/altronics_x7064.c
     devices/ambient_weather.c
     devices/ambientweather_tx8300.c
     devices/ambientweather_wh31e.c
@@ -60,6 +60,7 @@
     devices/auriol_ahfl.c
     devices/auriol_hg02832.c
     devices/badger_water.c
+    devices/baldr_rain.c
     devices/blueline.c
     devices/blyss.c
     devices/brennenstuhl_rcs_2044.c
@@ -67,11 +68,15 @@
     devices/bresser_5in1.c
     devices/bresser_6in1.c
     devices/bresser_7in1.c
+    devices/bresser_leakage.c
+    devices/bresser_lightning.c
     devices/bt_rain.c
     devices/burnhardbbq.c
     devices/calibeur.c
     devices/cardin.c
     devices/cavius.c
+    devices/ced7000.c
+    devices/celsia_czc1.c
     devices/chuango.c
     devices/cmr113.c
     devices/companion_wtr001.c
@@ -89,6 +94,7 @@
     devices/efth800.c
     devices/elro_db286a.c
     devices/elv.c
+    devices/emax.c
     devices/emontx.c
     devices/emos_e6016.c
     devices/emos_e6016_rain.c
@@ -106,15 +112,19 @@
     devices/fineoffset_wh45.c
     devices/fineoffset_wn34.c
     devices/fineoffset_ws80.c
+    devices/fineoffset_ws90.c
     devices/flex.c
+    devices/flowis.c
     devices/fordremote.c
     devices/fs20.c
     devices/ft004b.c
     devices/funkbus.c
+    devices/gasmate_ba1008.c
     devices/ge_coloreffects.c
     devices/generic_motion.c
     devices/generic_remote.c
     devices/generic_temperature_sensor.c
+    devices/geo_minim.c
     devices/govee.c
     devices/gt_tmbbq05.c
     devices/gt_wt_02.c
@@ -144,6 +154,7 @@
     devices/lacrosse_r1.c
     devices/lacrosse_th3.c
     devices/lacrosse_tx141x.c
+    devices/lacrosse_tx31u.c
     devices/lacrosse_tx34.c
     devices/lacrosse_tx35.c
     devices/lacrosse_wr1.c
@@ -159,14 +170,17 @@
     devices/mebus.c
     devices/megacode.c
     devices/missil_ml0757.c
+    devices/neptune_r900.c
     devices/new_template.c
     devices/newkaku.c
     devices/nexa.c
     devices/nexus.c
     devices/nice_flor_s.c
     devices/norgo.c
+    devices/oil_smart.c
     devices/oil_standard.c
     devices/oil_watchman.c
+    devices/oil_watchman_advanced.c
     devices/opus_xt300.c
     devices/oregon_scientific.c
     devices/oregon_scientific_sl109h.c
@@ -180,12 +194,14 @@
     devices/radiohead_ask.c
     devices/rainpoint.c
     devices/regency_fan.c
+    devices/revolt_nc5462.c
     devices/rftech.c
     devices/rojaflex.c
     devices/rubicson.c
     devices/rubicson_48659.c
     devices/rubicson_pool_48942.c
     devices/s3318p.c
+    devices/schou_72543_rain.c
     devices/schraeder.c
     devices/scmplus.c
     devices/secplus_v1.c
@@ -199,8 +215,10 @@
     devices/somfy_iohc.c
     devices/somfy_rts.c
     devices/springfield.c
+    devices/srsmith_pool_srs_2c_tx.c
     devices/steelmate.c
     devices/telldus_ft0385r.c
+    devices/tfa_14_1504_v2.c
     devices/tfa_30_3196.c
     devices/tfa_30_3221.c
     devices/tfa_drop_30.3233.c
@@ -210,25 +228,32 @@
     devices/thermopro_tp11.c
     devices/thermopro_tp12.c
     devices/thermopro_tx2.c
+    devices/thermopro_tx2c.c
     devices/tpms_abarth124.c
     devices/tpms_ave.c
     devices/tpms_citroen.c
+    devices/tpms_eezrv.c
     devices/tpms_elantra2012.c
     devices/tpms_ford.c
     devices/tpms_hyundai_vdo.c
     devices/tpms_jansite.c
     devices/tpms_jansite_solar.c
+    devices/tpms_kia.c
+    devices/tpms_nissan.c
     devices/tpms_pmv107j.c
     devices/tpms_porsche.c
     devices/tpms_renault.c
     devices/tpms_renault_0435r.c
     devices/tpms_toyota.c
     devices/tpms_truck.c
+    devices/tpms_tyreguard400.c
     devices/ts_ft002.c
     devices/ttx201.c
     devices/vaillant_vrt340f.c
+    devices/vauno_en8822c.c
     devices/visonic_powercode.c
     devices/waveman.c
+    devices/wec2103.c
     devices/wg_pb12v1.c
     devices/ws2032.c
     devices/wssensor.c

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 add_test(data-test data-test)
 
-add_executable(baseband-test baseband-test.c ../src/baseband.c)
+add_executable(baseband-test baseband-test.c ../src/baseband.c ../src/logger.c)
 
 if(UNIX)
 target_link_libraries(baseband-test m)

=== debian/changelog ===
rtl-433 (23.11-1build1) noble; urgency=medium

  * Rebuild against latest rtl-sdr

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 18 Feb 2024 13:23:57 -0500

rtl-433 (23.11-1) unstable; urgency=medium

  * New upstream version.
  * d/copyright: bump years.
  * Bump standards version to 4.6.2.

 -- Gürkan Myczko <tar@debian.org>  Fri, 01 Dec 2023 15:22:43 +0100

rtl-433 (22.11+git20230213+ds-1) experimental; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <tar@debian.org>  Mon, 13 Feb 2023 07:33:00 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  librtlsdr-dev,
  libsoapysdr-dev,
  pkg-config,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/debian-hamradio-team/rtl-433.git
 Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/rtl-433
 Homepage: https://github.com/merbanan/rtl_433

## rtl-433 24.10

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -8,6 +8,7 @@
     abuf.c
     am_analyze.c
     baseband.c
+    bit_util.c
     bitbuffer.c
     compat_paths.c
     compat_time.c
@@ -41,7 +42,6 @@
     samp_grab.c
     sdr.c
     term_ctl.c
-    util.c
     write_sigrok.c
     devices/abmt.c
     devices/acurite.c
@@ -52,7 +52,9 @@
     devices/ambientweather_tx8300.c
     devices/ambientweather_wh31e.c
     devices/ant_antplus.c
+    devices/arad_ms_meter.c
     devices/archos_tbh.c
+    devices/arexx_ml.c
     devices/atech_ws308.c
     devices/auriol_4ld5661.c
     devices/auriol_aft77b2.c
@@ -77,6 +79,7 @@
     devices/cavius.c
     devices/ced7000.c
     devices/celsia_czc1.c
+    devices/chamberlain_cwpirc.c
     devices/chuango.c
     devices/cmr113.c
     devices/companion_wtr001.c
@@ -110,6 +113,8 @@
     devices/fineoffset_wh1080.c
     devices/fineoffset_wh31l.c
     devices/fineoffset_wh45.c
+    devices/fineoffset_wh46.c
+    devices/fineoffset_wh55.c
     devices/fineoffset_wn34.c
     devices/fineoffset_ws80.c
     devices/fineoffset_ws90.c
@@ -121,6 +126,7 @@
     devices/funkbus.c
     devices/gasmate_ba1008.c
     devices/ge_coloreffects.c
+    devices/geevon.c
     devices/generic_motion.c
     devices/generic_remote.c
     devices/generic_temperature_sensor.c
@@ -170,6 +176,7 @@
     devices/mebus.c
     devices/megacode.c
     devices/missil_ml0757.c
+    devices/mueller_hotrod.c
     devices/neptune_r900.c
     devices/new_template.c
     devices/newkaku.c
@@ -196,7 +203,9 @@
     devices/regency_fan.c
     devices/revolt_nc5462.c
     devices/rftech.c
+    devices/risco_agility.c
     devices/rojaflex.c
+    devices/rosstech_dcu706.c
     devices/rubicson.c
     devices/rubicson_48659.c
     devices/rubicson_pool_48942.c
@@ -227,10 +236,15 @@
     devices/tfa_twin_plus_30.3049.c
     devices/thermopro_tp11.c
     devices/thermopro_tp12.c
+    devices/thermopro_tp28b.c
+    devices/thermopro_tp829b.c
     devices/thermopro_tx2.c
     devices/thermopro_tx2c.c
+    devices/thermor.c
     devices/tpms_abarth124.c
     devices/tpms_ave.c
+    devices/tpms_bmw.c
+    devices/tpms_bmw_g3.c
     devices/tpms_citroen.c
     devices/tpms_eezrv.c
     devices/tpms_elantra2012.c
@@ -251,7 +265,9 @@
     devices/ttx201.c
     devices/vaillant_vrt340f.c
     devices/vauno_en8822c.c
+    devices/vevor_7in1.c
     devices/visonic_powercode.c
+    devices/watts_thermostat.c
     devices/waveman.c
     devices/wec2103.c
     devices/wg_pb12v1.c

=== debian/changelog ===
rtl-433 (24.10-1) unstable; urgency=medium

  * New upstream version.

 -- Alex Myczko <tar@debian.org>  Mon, 04 Nov 2024 09:47:52 +0000

rtl-433 (23.11-2) unstable; urgency=medium

  * Move to Hams Team.
  * Bump standards version to 4.7.0.
  * d/control: update build depends pkg-config to pkgconf.

 -- Alex Myczko <tar@debian.org>  Mon, 22 Jul 2024 10:03:05 +0000

## rtl-433 25.02

=== CMakeLists.txt ===
--- 
+++ 
@@ -101,7 +101,7 @@
 endif()
 
 # Enable Static analysis on GCC13.2.0+
-if("${CMAKE_C_COMPILER_ID}" STREQUAL "GNU" AND CMAKE_C_COMPILER_VERSION VERSION_GREATER_EQUAL "13.2.0")
+if("${CMAKE_C_COMPILER_ID}" STREQUAL "GNU" AND NOT "13.2.0" VERSION_GREATER CMAKE_C_COMPILER_VERSION)
     message(STATUS "Using GCC Static analysis")
     add_definitions(-fanalyzer)
 endif()
@@ -199,6 +199,7 @@
 pkg_check_modules(PC_OPENSSL QUIET openssl)
 if(PC_OPENSSL_FOUND AND NOT WIN32)
     set(OPENSSL_LIBRARIES ${PC_OPENSSL_LINK_LIBRARIES})
+    message(STATUS "Using OpenSSL: ${OPENSSL_LIBRARIES}")
 endif()
 if(OPENSSL_FOUND)
     message(STATUS "OpenSSL TLS support will be compiled. Found version ${OPENSSL_VERSION}")
@@ -312,6 +313,3 @@
 @ONLY)
 
 add_custom_target(uninstall
-    ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake
-)
-

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -72,6 +72,7 @@
     devices/bresser_7in1.c
     devices/bresser_leakage.c
     devices/bresser_lightning.c
+    devices/bresser_st1005h.c
     devices/bt_rain.c
     devices/burnhardbbq.c
     devices/calibeur.c
@@ -86,6 +87,7 @@
     devices/cotech_36_7959.c
     devices/current_cost.c
     devices/danfoss.c
+    devices/deltadore_x3d.c
     devices/digitech_xc0324.c
     devices/directv.c
     devices/dish_remote_6_3.c
@@ -132,6 +134,7 @@
     devices/generic_temperature_sensor.c
     devices/geo_minim.c
     devices/govee.c
+    devices/gridstream.c
     devices/gt_tmbbq05.c
     devices/gt_wt_02.c
     devices/gt_wt_03.c
@@ -198,10 +201,12 @@
     devices/prologue.c
     devices/proove.c
     devices/quhwa.c
+    devices/quinetic.c
     devices/radiohead_ask.c
     devices/rainpoint.c
     devices/regency_fan.c
     devices/revolt_nc5462.c
+    devices/revolt_zx7717.c
     devices/rftech.c
     devices/risco_agility.c
     devices/rojaflex.c
@@ -237,7 +242,7 @@
     devices/thermopro_tp11.c
     devices/thermopro_tp12.c
     devices/thermopro_tp28b.c
-    devices/thermopro_tp829b.c
+    devices/thermopro_tp82xb.c
     devices/thermopro_tx2.c
     devices/thermopro_tx2c.c
     devices/thermor.c
@@ -249,6 +254,7 @@
     devices/tpms_eezrv.c
     devices/tpms_elantra2012.c
     devices/tpms_ford.c
+    devices/tpms_gm.c
     devices/tpms_hyundai_vdo.c
     devices/tpms_jansite.c
     devices/tpms_jansite_solar.c

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -20,7 +20,7 @@
 ########################################################################
 # target_compile_definitions was only added in CMake 2.8.11
 add_definitions(-D_TEST)
-foreach(testSrc bitbuffer.c fileformat.c optparse.c util.c)
+foreach(testSrc bitbuffer.c fileformat.c optparse.c bit_util.c)
     get_filename_component(testName ${testSrc} NAME_WE)
 
     add_executable(test_${testName} ../src/${testSrc})
@@ -63,6 +63,5 @@
     -Xanalyzer
     -analyzer-output=text
     -Xanalyzer
-    -analyzer-disable-checker=deadcode.DeadStores
     ${ANALYZER_CHECK_FILES})
 endif()

=== debian/changelog ===
rtl-433 (25.02-1) unstable; urgency=medium

  * New upstream version.

 -- Alex Myczko <tar@debian.org>  Wed, 19 Feb 2025 16:52:07 +0000

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: rtl-433
 Section: hamradio
 Priority: optional
-Maintainer: Gürkan Myczko <tar@debian.org>
+Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
+Uploaders: Alex Myczko <tar@debian.org>
 Build-Depends:
  cmake,
  debhelper-compat (= 13),
  doxygen,
  librtlsdr-dev,
  libsoapysdr-dev,
- pkg-config,
-Standards-Version: 4.6.2
+ pkgconf,
+Standards-Version: 4.7.0
 Vcs-Git: https://salsa.debian.org/debian-hamradio-team/rtl-433.git
 Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/rtl-433
 Homepage: https://github.com/merbanan/rtl_433

=== debian/watch ===
version=4
# GitHub hosted projects
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%$1.tar.gz%" \
   https://github.com/merbanan/rtl_433/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## rtl-433 25.12

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 ########################################################################
 # Project setup
 ########################################################################
-cmake_minimum_required(VERSION 2.6)
+cmake_minimum_required(VERSION 2.6...3.10)
 # Fix behavior of CMAKE_C_STANDARD when targeting macOS.
 if(POLICY CMP0025)
     cmake_policy(SET CMP0025 NEW)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -52,6 +52,7 @@
     devices/ambientweather_tx8300.c
     devices/ambientweather_wh31e.c
     devices/ant_antplus.c
+    devices/apator_metra_erm30.c
     devices/arad_ms_meter.c
     devices/archos_tbh.c
     devices/arexx_ml.c
@@ -61,10 +62,13 @@
     devices/auriol_afw2a1.c
     devices/auriol_ahfl.c
     devices/auriol_hg02832.c
+    devices/badger_orion_endpoint.c
     devices/badger_water.c
     devices/baldr_rain.c
+    devices/baldr_therm.c
     devices/blueline.c
     devices/blyss.c
+    devices/bm5.c
     devices/brennenstuhl_rcs_2044.c
     devices/bresser_3ch.c
     devices/bresser_5in1.c
@@ -92,6 +96,7 @@
     devices/directv.c
     devices/dish_remote_6_3.c
     devices/dsc.c
+    devices/ec3k.c
     devices/ecodhome.c
     devices/ecowitt.c
     devices/efergy_e2_classic.c
@@ -114,11 +119,13 @@
     devices/fineoffset_wh1050.c
     devices/fineoffset_wh1080.c
     devices/fineoffset_wh31l.c
+    devices/fineoffset_wh43.c
     devices/fineoffset_wh45.c
     devices/fineoffset_wh46.c
     devices/fineoffset_wh55.c
     devices/fineoffset_wn34.c
     devices/fineoffset_ws80.c
+    devices/fineoffset_ws85.c
     devices/fineoffset_ws90.c
     devices/flex.c
     devices/flowis.c
@@ -141,6 +148,7 @@
     devices/hcs200.c
     devices/hideki.c
     devices/holman_ws5029.c
+    devices/homelead_hg9901.c
     devices/hondaremote.c
     devices/honeywell.c
     devices/honeywell_cm921.c
@@ -176,6 +184,7 @@
     devices/maverick_et73.c
     devices/maverick_et73x.c
     devices/maverick_xr30.c
+    devices/maverick_xr50.c
     devices/mebus.c
     devices/megacode.c
     devices/missil_ml0757.c
@@ -195,6 +204,7 @@
     devices/oregon_scientific.c
     devices/oregon_scientific_sl109h.c
     devices/oregon_scientific_v1.c
+    devices/oria_wa150km.c
     devices/philips_aj3650.c
     devices/philips_aj7010.c
     devices/proflame2.c
@@ -204,6 +214,7 @@
     devices/quinetic.c
     devices/radiohead_ask.c
     devices/rainpoint.c
+    devices/rainpoint_hcs012arf.c
     devices/regency_fan.c
     devices/revolt_nc5462.c
     devices/revolt_zx7717.c
@@ -245,6 +256,7 @@
     devices/thermopro_tp82xb.c
     devices/thermopro_tx2.c
     devices/thermopro_tx2c.c
+    devices/thermopro_tx7b.c
     devices/thermor.c
     devices/tpms_abarth124.c
     devices/tpms_ave.c
@@ -269,6 +281,7 @@
     devices/tpms_tyreguard400.c
     devices/ts_ft002.c
     devices/ttx201.c
+    devices/universalfanctrl.c
     devices/vaillant_vrt340f.c
     devices/vauno_en8822c.c
     devices/vevor_7in1.c

=== debian/changelog ===
rtl-433 (25.12-1) unstable; urgency=medium

  * New upstream version.
  * Ack NMU.
  * Drop d/patches, not needed anymore.
  * Bump standards version to 4.7.2.
  * d/copyright:
    - bump year.
    - update FSF address.
  * d/watch: update to version 5.

 -- Alex Myczko <tar@debian.org>  Fri, 12 Dec 2025 14:10:10 +0000

rtl-433 (25.02-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Backport upstream fix for FTBFS with CMake 4. (Closes: #1113478)
  * Remove unnecessary cmake patch.

 -- Adrian Bunk <bunk@debian.org>  Mon, 20 Oct 2025 11:02:46 +0300

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  librtlsdr-dev,
  libsoapysdr-dev,
  pkgconf,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/debian-hamradio-team/rtl-433.git
 Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/rtl-433
 Homepage: https://github.com/merbanan/rtl_433

=== debian/watch ===
Version: 5

# GitHub hosted projects
Template: Github
Owner: merbanan
Project: rtl_433
Update-Script: uupdate
